<div class="d-flex flex-column h-100" style="padding: 20px 0 20px 0;">

  <div class="mb-2 normal_14px_22px_font" style="color: #1c1b1b;">
    Please select the practitioner to filter the Wait List:
  </div>

  <div class="flex-fill" style="border: 1px solid #979797; overflow: overlay;">
    <div style="border-bottom: 1px solid #979797; padding: 5px;" >
      <mat-checkbox class="practitioner-checkbox" (change)="toggleAllPractitioner($event)"
                    value="ALL">
        <span>Select All</span>
      </mat-checkbox>
    </div>

    <div *ngFor="let practitioner of practitioners; let i = index;"
         style="border-bottom: 1px solid #979797; padding: 5px;" [class.border-0]="i === practitioners.length">
      <mat-checkbox class="practitioner-checkbox" (change)="togglePractitioner($event)"
                    [value]="practitioner.practitionerId" [checked]="selectedPractitionerId.indexOf(practitioner.practitionerId) > -1">
        <span>{{practitioner.displayName}}</span>
      </mat-checkbox>
    </div>
  </div>

</div>
